/**
 * Create a logger for apeman app package.
 * @memberof module:apeman-commons-logging/lib
 * @function apemanAppLogger
 * @returns {ConsoleLogger} - A logger instance.
 */

"use strict";

var ConsoleLogger = require('./console_logger'),
    util = require('util');

/** @lends apemanAppLogger */
function apemanAppLogger(pkg) {
    var name = pkg && pkg.name || 'apeman-app';
    return new ConsoleLogger({
        PREFIX: util.format('[%s] ', name)
    });
}

module.exports = apemanAppLogger;
