/**
 * Create a logger for apeman ui package.
 * @memberof module:apeman-commons-logging/lib
 * @function apemanUiLogger
 * @returns {ConsoleLogger} - A logger instance.
 */

"use strict";

var ConsoleLogger = require('./console_logger'),
    util = require('util');

/** @lends apemanUiLogger */
function apemanUiLogger(pkg) {
    var name = pkg && pkg.name || 'apeman-ui';
    return new ConsoleLogger({
        PREFIX: util.format('[%s] ', name)
    });
}

module.exports = apemanUiLogger;
